[pypy-dev] Solaris Support?

Peter Kruse pjodrr at gmail.com
Thu Sep 1 13:52:26 CEST 2011


I'd like to compile PyPy under Solaris/Sparc.  But it looks that
this is not supported.  Right now when I run "python2.7 translate.py
-O2" as suggested
on http://pypy.org/download.html I get an exception:

[version:WARNING] Errors getting Mercurial information: Not running
from a Mercurial repository!
[platform:msg] Setting platform to 'host' cc=None
[translation:info] Translating target as defined by targetpypystandalone
Traceback (most recent call last):
  File "translate.py", line 324, in <module>
  File "/net/sdevc01/export/data/soft/opensource/source/pypy/pypy-pypy-release-1.6/pypy/module/sys/version.py",
line 17, in <module>
    elif platform.cc.startswith('gcc'):
AttributeError: 'NoneType' object has no attribute 'startswith'

As I have python2.7, gcc 4.6.1 and libffi it seems that the
requirements for PyPy should be fulfilled, so
what do I have to do to compile it under Solaris?



ps: I'm not subscribed to this list, it would be very kind if you cc
me on replies.

More information about the pypy-dev mailing list